Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576086 - [abrt] dnfdragora: Py_FatalError(): python3.6 killed by SIGABRT
Summary: [abrt] dnfdragora: Py_FatalError(): python3.6 killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:579bd873428aff23e1c535f3923...
: 1580003 1595530 1632254 1637774 1637919 1639049 1639507 1644961 1661677 1686243 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 19:00 UTC by Stefan Gies
Modified: 2019-05-28 23:45 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:45:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (40.48 KB, text/plain)
2018-05-08 19:00 UTC, Stefan Gies
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-08 19:00 UTC, Stefan Gies
no flags Details
File: core_backtrace (83.92 KB, text/plain)
2018-05-08 19:01 UTC, Stefan Gies
no flags Details
File: cpuinfo (1.37 KB, text/plain)
2018-05-08 19:01 UTC, Stefan Gies
no flags Details
File: dso_list (18.24 KB, text/plain)
2018-05-08 19:01 UTC, Stefan Gies
no flags Details
File: environ (3.53 KB, text/plain)
2018-05-08 19:01 UTC, Stefan Gies
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-08 19:01 UTC, Stefan Gies
no flags Details
File: maps (87.49 KB, text/plain)
2018-05-08 19:01 UTC, Stefan Gies
no flags Details
File: mountinfo (3.90 KB, text/plain)
2018-05-08 19:01 UTC, Stefan Gies
no flags Details
File: open_fds (1.08 KB, text/plain)
2018-05-08 19:01 UTC, Stefan Gies
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-08 19:01 UTC, Stefan Gies
no flags Details
File: backtrace (33.10 KB, text/plain)
2018-10-28 21:53 UTC, Roel van de Kraats
no flags Details

Description Stefan Gies 2018-05-08 19:00:49 UTC
Version-Release number of selected component:
dnfdragora-1.0.1-10.git20180108.b0e8a66.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora
crash_function: Py_FatalError
executable:     /usr/bin/python3.6
journald_cursor: s=35534ae98885447f91ae213a68924e3c;i=18306;b=f04ced400c6e45ab9b72ee150bd677c7;m=6a99975f;t=56b8dea7f3a2a;x=d62c81b5fa38fc3f
kernel:         4.16.6-302.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1570346

Comment 1 Stefan Gies 2018-05-08 19:00:56 UTC
Created attachment 1433390 [details]
File: backtrace

Comment 2 Stefan Gies 2018-05-08 19:00:58 UTC
Created attachment 1433391 [details]
File: cgroup

Comment 3 Stefan Gies 2018-05-08 19:01:00 UTC
Created attachment 1433392 [details]
File: core_backtrace

Comment 4 Stefan Gies 2018-05-08 19:01:01 UTC
Created attachment 1433393 [details]
File: cpuinfo

Comment 5 Stefan Gies 2018-05-08 19:01:03 UTC
Created attachment 1433394 [details]
File: dso_list

Comment 6 Stefan Gies 2018-05-08 19:01:05 UTC
Created attachment 1433395 [details]
File: environ

Comment 7 Stefan Gies 2018-05-08 19:01:06 UTC
Created attachment 1433396 [details]
File: limits

Comment 8 Stefan Gies 2018-05-08 19:01:08 UTC
Created attachment 1433397 [details]
File: maps

Comment 9 Stefan Gies 2018-05-08 19:01:10 UTC
Created attachment 1433398 [details]
File: mountinfo

Comment 10 Stefan Gies 2018-05-08 19:01:11 UTC
Created attachment 1433399 [details]
File: open_fds

Comment 11 Stefan Gies 2018-05-08 19:01:13 UTC
Created attachment 1433400 [details]
File: proc_pid_status

Comment 12 ron 2018-05-19 00:20:08 UTC
*** Bug 1580003 has been marked as a duplicate of this bug. ***

Comment 13 Bobses 2018-06-27 05:04:41 UTC
*** Bug 1595530 has been marked as a duplicate of this bug. ***

Comment 14 Thomas Hudziec 2018-09-24 13:20:50 UTC
*** Bug 1632254 has been marked as a duplicate of this bug. ***

Comment 15 maxa 2018-10-10 04:25:48 UTC
*** Bug 1637774 has been marked as a duplicate of this bug. ***

Comment 16 vikiwiki 2018-10-10 10:38:36 UTC
*** Bug 1637919 has been marked as a duplicate of this bug. ***

Comment 17 easonbe_1 2018-10-14 20:04:02 UTC
*** Bug 1639049 has been marked as a duplicate of this bug. ***

Comment 18 Marcelo 2018-10-15 22:08:25 UTC
*** Bug 1639507 has been marked as a duplicate of this bug. ***

Comment 19 Roel van de Kraats 2018-10-28 21:53:44 UTC
Similar problem has been detected:

Just opened the window from the taskbar button

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: Py_FatalError
executable:     /usr/bin/python3.6
journald_cursor: s=0ba28a64a14d4ff78a8ad5daa561135f;i=93124;b=64a5a72925554e41a41e0190eea46003;m=46ec88f;t=57950eb79881a;x=3caf22e5ba853c47
kernel:         4.18.16-200.fc28.x86_64
package:        dnfdragora-updater-1.0.1-10.git20180108.b0e8a66.fc28
reason:         python3.6 killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            5078

Comment 20 Roel van de Kraats 2018-10-28 21:53:50 UTC
Created attachment 1498380 [details]
File: backtrace

Comment 21 maxa 2018-11-01 04:55:36 UTC
*** Bug 1644961 has been marked as a duplicate of this bug. ***

Comment 22 Richard Haakma 2018-12-05 03:49:28 UTC
Similar problem has been detected:

Running dnfdragora to perform updates.
I almost always pick packages to update separately so that bugs or failures may have less scope for corrupting rpmdb or the installed packages themselves.
Dnfdragora may sometimes crash after picking and upgrading several cycles.
Also dnfdaemon has a very bad memory leak with the process growing 100s of kilobytes each package upgrade cycle.

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora
crash_function: Py_FatalError
executable:     /usr/bin/python3.6
journald_cursor: s=259d8b6dc0d34129b558891afd5f6478;i=a773;b=5fc3cf5298164a8998772f8f8a9715ad;m=6bc25792;t=57c3e15821840;x=d5a60b5f1f2f8ca2
kernel:         4.19.3-200.fc28.x86_64
package:        dnfdragora-1.0.1-10.git20180108.b0e8a66.fc28
reason:         python3.6 killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 kr1st0 2018-12-22 01:36:15 UTC
*** Bug 1661677 has been marked as a duplicate of this bug. ***

Comment 24 maxa 2019-03-07 04:07:58 UTC
*** Bug 1686243 has been marked as a duplicate of this bug. ***

Comment 25 Ben Cotton 2019-05-02 19:18:00 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 26 Ben Cotton 2019-05-02 19:48:21 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Ben Cotton 2019-05-28 23:45:28 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.